Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8369 - sh: fortune: command not found in xscreensaver
Summary: sh: fortune: command not found in xscreensaver
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver
Version: 6.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 11:32 UTC by Julien Brouchier
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 16:44:37 UTC


Attachments (Terms of Use)

Description Julien Brouchier 2000-01-11 11:32:15 UTC
When performing a default gnome workstation install the screen saver
shows a strange fortune :

	sh: fortune: command not found

That's true the package fortune is not installed... Ok this is a really low
urgency bug but having fortune in default install could be cool.. or at
least disable this mode un xscreensaver default config. :)

Comment 1 Hans de Goede 2000-01-14 15:16:59 UTC
Hmm, as some one who also uses some thight on diskspace systems, I wouldn't like
to see another dependency.

Imho there are already to much "semi" dependencies. Like tetex depending on ed
just for the configuration tool.

Couldn't we make a some sorta mechanism to have descent fall backs for this,
like an alias for fortune which always echos:
"All work and no play makes Jack a dull boy"

The trick of course beign that that  alias only is set if fortune isn't
installed, same for some other things. I believe debian has something like that.

Comment 2 Bill Nottingham 2000-01-18 16:44:59 UTC
Currently fixed in Raw Hide by adding fortune to the dependencies
list, and we're looking at more elegant solutions.

Comment 3 Bill Nottingham 2000-01-31 17:20:59 UTC
I'm not sure about your selection; doing
configure --prefix=/usr --with-zippy="which fortune >/dev/null 2>&1 && fortune
|| echo All work and no play makes jack a dull boy." just seems
somehow *wrong*. ;)


Note You need to log in before you can comment on or make changes to this bug.